Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class SecurityType

    java.lang.Object
      com.autonomy.aci.businessobjects.SecurityType

All Implemented Interfaces:
  java.io.Serializable

public class SecurityType
extends java.lang.Object
implements java.io.Serializable

Holds information about a user's access to a document repository or security type. Can be used either to set a user's security information on an ACI action request or when reading a user's security details from IDOL.

See Also:
  Serialized Form

Constructor Summary
`SecurityType()` Create an empty `SecurityType`.
`SecurityType(java.lang.String sSecurityTypeName)` Create a `SecurityType` for a given document repository or security type.

Method Summary
`void` | `clearSecurityFields()` Deletes all existing user fields and their values.
`java.lang.String` | `getRepositoryName()` Read the name of the repository/security type that this `SecurityType` object refers to.
`java.util.Set` | `getSecurityFieldNames()` Read the names of the security type fields set on this `SecurityType` object.
`java.util.HashMap` | `getSecurityFields()` Read the security type fields set on this `SecurityType` object and their values.
`java.lang.String` | `getSecurityFieldValue(java.lang.String sFieldname)` Read the value of a given security type field.
`java.lang.String` | `getSecurityFieldValue(java.lang.String sFieldname, java.lang.String sDefaultValue)` Read the value of a given security type field.
`void` | `removeSecurityField(java.lang.String sFieldname)` Deletes the field entry for the specified security field, if it exists.
`void` | `setRepositoryName(java.lang.String sTypeName)` Set the name of the document repository or security type this `SecurityType` object refers to.
`void` | `setSecurityFields(java.util.HashMap fieldMap)` Replaces any existing security type fields with those provided.
`void` | `setSecurityFieldValue(java.lang.String sFieldname, java.lang.String sFieldValue)` Set the value of a security field.
`java.lang.String` | `toString()` Lists all the security type fields and values set for this repository/security type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityType

    public SecurityType()

  Create an empty `SecurityType`. The repository or security type should then be specified by using `setRepositoryName`.

### SecurityType

    public SecurityType(java.lang.String sSecurityTypeName)

  Create a `SecurityType` for a given document repository or security type.

Parameters:
  `sSecurityTypeName` - the name of the repository/security type as configured in IDOL.

Method Detail

### setRepositoryName

    public void setRepositoryName(java.lang.String sTypeName)

  Set the name of the document repository or security type this `SecurityType` object refers to.

  Parameters:
    `sTypeName` - the name of the repository/security type as configured in IDOL.

### setSecurityFields

    public void setSecurityFields(java.util.HashMap fieldMap)

  Replaces any existing security type fields with those provided. Both the keys and the values assosciated in the `HashMap` must be `String`s.

  Parameters:
    `fieldMap` - a `HashMap` assosciating `String` pairs representing the field names and values.

### setSecurityFieldValue

    public void setSecurityFieldValue(java.lang.String sFieldname,
                                      java.lang.String sFieldValue)

  Set the value of a security field. If the specified field does not already exist, a new one is created. If the field is already set, it's value is overwritten with the new value.

  Parameters:
    `sFieldname` - the name of the security field to set.
    `sFieldValue` - the value to give the field.

### removeSecurityField

    public void removeSecurityField(java.lang.String sFieldname)

  Deletes the field entry for the specified security field, if it exists.

  Parameters:
    `sFieldname` - the name of the field to delete.

### clearSecurityFields

    public void clearSecurityFields()

  Deletes all existing user fields and their values.

### getRepositoryName

    public java.lang.String getRepositoryName()

  Read the name of the repository/security type that this `SecurityType` object refers to.

  Returns:
    the name of the repository/security type.

### getSecurityFields

    public java.util.HashMap getSecurityFields()

  Read the security type fields set on this `SecurityType` object and their values. Both the keys and the values assosciated in the `HashMap` are `String`s.

  Returns:

### getSecurityFieldNames

    public java.util.Set getSecurityFieldNames()

  Read the names of the security type fields set on this `SecurityType` object. The elements in the `Set` are `String`s.

  Returns:
    the names of the security type fields.

### getSecurityFieldValue

    public java.lang.String getSecurityFieldValue(java.lang.String sFieldname,
                                                  java.lang.String sDefaultValue)

  Read the value of a given security type field. The default value is returned if no field with the specified name exists or if it does not have an associated value.

  Parameters:
    `sFieldname` - the name of the field to look up.
    `sDefaultValue` - the default value to use if the field does not exist or has no value.
  Returns:
    the field value or `sDefaultValue` if the field does not exist or has no value.

### getSecurityFieldValue

    public java.lang.String getSecurityFieldValue(java.lang.String sFieldname)

  Read the value of a given security type field.

  Parameters:
    `sFieldname` - the name of the field to look up.
  Returns:
    the field value or `null` if the field does not exist or has no value.

### toString

    public java.lang.String toString()

  Lists all the security type fields and values set for this repository/security type.

  Returns:
    the fields and values of this security type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD